> ## Documentation Index
> Fetch the complete documentation index at: https://developer.vanta.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Send Trust Center update notifications to specific subscribers

> Sends notifications for a specific Trust Center update to specific subscribers.
At least one subscriber group or email address is required.

The total number of resolved, deduplicated recipient emails must not exceed 5,000.
If exceeded, a 422 error is returned. Narrow your filters or split across multiple requests.



## OpenAPI

````yaml /reference/manage-vanta.json post /trust-centers/{slugId}/updates/{updateId}/notify-specific-subscribers
openapi: 3.0.0
info:
  title: Manage Vanta
  version: 1.0.0
  description: >-
    The REST API lets customers query and mutate Vanta's data. Use this API to
    automate bulk actions, query data for custom workflows and dashboards, and
    bolster your security operations


    **Note for Vanta Gov (FedRAMP) customers:** Select `Vanta Gov (FedRAMP)`
    from the server dropdown to issue requests against
    `https://api.vanta-gov.com`. The OAuth token URL shown below defaults to the
    commercial host — replace it with `https://api.vanta-gov.com/oauth/token`.
  termsOfService: https://www.vanta.com/terms
  license:
    name: UNLICENSED
  contact:
    name: API Support
    url: https://help.vanta.com/
    email: support@vanta.com
servers:
  - url: https://api.vanta.com/v1
    description: Vanta (Commercial)
  - url: https://api.vanta-gov.com/v1
    description: Vanta Gov (FedRAMP)
security: []
paths:
  /trust-centers/{slugId}/updates/{updateId}/notify-specific-subscribers:
    post:
      tags:
        - Trust Centers
      summary: Send Trust Center update notifications to specific subscribers
      description: >-
        Sends notifications for a specific Trust Center update to specific
        subscribers.

        At least one subscriber group or email address is required.


        The total number of resolved, deduplicated recipient emails must not
        exceed 5,000.

        If exceeded, a 422 error is returned. Narrow your filters or split
        across multiple requests.
      operationId: SendTrustCenterUpdateNotifications
      parameters:
        - in: path
          name: slugId
          required: true
          schema:
            type: string
        - in: path
          name: updateId
          required: true
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/SendTrustCenterUpdateNotificationsInput'
      responses:
        '200':
          description: Ok
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/NotifySpecificSubscribersResponse'
              examples:
                Example 1:
                  value:
                    recipientCount: 5
      security:
        - bearerAuth: []
components:
  schemas:
    SendTrustCenterUpdateNotificationsInput:
      description: >-
        Input for sending notifications to specific subscribers of a Trust
        Center update.


        **Recipient limit:** The total number of deduplicated recipient emails
        resolved from

        subscriber groups, account filters, and additional emails must not
        exceed **5,000**.

        If the resolved recipient count exceeds this limit, the request will
        return a **422** error.

        To notify more recipients, narrow your filters or split across multiple
        requests.
      properties:
        emails:
          items:
            type: string
          type: array
          description: >-
            Additional email addresses to notify about this Trust Center update
            in addition to the existing Trust Center subscribers.

            Duplicate emails are deduplicated to ensure each recipient gets only
            one notification.
          maxItems: 10
        subscriberGroupIds:
          items:
            type: string
          type: array
          description: >-
            IDs of subscriber groups to notify. When `customerTrustAccounts` is
            also provided,

            only subscribers in these groups whose linked account matches are
            notified.
          maxItems: 10
        customerTrustAccounts:
          $ref: '#/components/schemas/CustomerTrustAccountsInput'
          description: >-
            Optional account filters. When provided, only subscribers in
            `subscriberGroupIds`

            whose linked account matches all specified filters are notified.
      required:
        - emails
        - subscriberGroupIds
      type: object
      additionalProperties: false
    NotifySpecificSubscribersResponse:
      properties:
        recipientCount:
          type: number
          format: double
          description: The number of subscribers who will receive this notification.
      required:
        - recipientCount
      type: object
      additionalProperties: false
    CustomerTrustAccountsInput:
      description: >-
        Account selectors for narrowing `GROUPS` notifications to subscribers
        with a matching linked account.
      properties:
        customFieldsFilter:
          items:
            $ref: '#/components/schemas/CustomerTrustAccountCustomFieldFilter'
          type: array
          description: >-
            Filter accounts by custom field label/value pairs.

            When `value` is an array, accounts matching any of the values are
            included.

            When multiple entries are provided, accounts must satisfy all of
            them.
          example:
            - label: enterprise_id
              value:
                - ent_123
                - ent_456
          maxItems: 10
        tagsByCategory:
          items:
            $ref: '#/components/schemas/TagsByCategoryInput'
          type: array
          description: >-
            Narrow the candidate accounts resolved from `customFieldsFilter`

            to those with matching tags.

            Within a category entry, accounts matching any of the `tagIds` are
            included.

            When multiple entries are provided, accounts must satisfy all of
            them.
          example:
            - categoryId: 507f1f77bcf86cd799439011
              tagIds:
                - 507f1f77bcf86cd799439012
          maxItems: 10
      type: object
      additionalProperties: false
    CustomerTrustAccountCustomFieldFilter:
      description: A single custom field filter condition.
      properties:
        label:
          type: string
          description: The custom field label.
          example: enterprise_id
        value:
          anyOf:
            - type: string
            - items:
                type: string
              type: array
          description: >-
            The value(s) to match against. Provide an array to match any of
            multiple values.
          example:
            - ent_123
            - ent_456
          maxItems: 5000
      required:
        - label
        - value
      type: object
      additionalProperties: false
    TagsByCategoryInput:
      properties:
        categoryId:
          type: string
          description: The tag category ID
        tagIds:
          items:
            type: string
          type: array
          description: Tag IDs to assign. An empty array removes all tags for the category.
      required:
        - categoryId
        - tagIds
      type: object
      additionalProperties: false
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````